Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 345531 - Create a gtkhtml38 package for RHEL 5.2
Summary: Create a gtkhtml38 package for RHEL 5.2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: distribution
Version: 5.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Matthew Barnes
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-22 16:57 UTC by Matthew Barnes
Modified: 2008-01-23 03:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-22 23:41:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthew Barnes 2007-10-22 16:57:47 UTC
For RHEL 5.2 we are rebasing Evolution to match Fedora 8 (bug #318591).  The
gtkhtml3 package will also be rebased as part of this effort.

Between RHEL 5.0 and Fedora 8, the printing API in GtkHtml changed from using
the GnomePrint library to the newer printing API in GTK+.  This broke GnuCash,
which still depends on GtkHtml's older GnomePrint-based printing API.

For Fedora 7, Bill Nottingham created a new "gtkhtml38" package which preserved
the older printing API (libgtkhtml-3.8.so) for use with GnuCash.

I propose doing the same for RHEL 5.2.  Specifically, create a new "gtkhtml38"
package which is a snapshot of the gtkhtml3 package we shipped in RHEL 5.1, so
that gtkhtml3 can be safely rebased without breaking GnuCash.

Comment 1 RHEL Product and Program Management 2007-10-22 17:04:48 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Bill Nottingham 2007-10-22 19:10:24 UTC
Note that gnucash isn't in RHEL 5, only in EPEL. But there could be other
third-party apps using gtkhtml3.

Comment 4 Matthew Barnes 2008-01-15 16:09:51 UTC
Package created as gtkhtml38-3.12.0-2.el5.

Comment 10 Matthew Barnes 2008-01-23 00:56:32 UTC
notting: Do you want to just add this package to EPEL for GnuCash?

Comment 11 Bill Nottingham 2008-01-23 03:15:41 UTC
Hm, I may do that. I guess for EPEL I have to wait until closer to the 5.2 release.


Note You need to log in before you can comment on or make changes to this bug.